PosList Class Reference

Store refID/position, but does not store values < 0. More...

`#include <PosList.h>`

Inheritance diagram for PosList:
[legend]
Collaboration diagram for PosList:
[legend]

## Public Member Functions

| PosList ()
| Constructor.
| PosList (int numRefs, int numPositions)
| Reserves space for numRefs reference ids and numPositions for each id.
virtual | ~PosList ()
| Destructor.
void | addPosition (int refID, int refPosition)
| Add the specified reference id/position (negative values will not be added).
bool | hasPosition (int refID, int refPosition)
| Return whether or not this list contains the specified reference ID and position (negative values will automatically return false).

## Protected Member Functions

| PosList (const PosList &p)
void | initVars ()

## Protected Attributes

std::vector< std::vector< bool > > | myPosList
int | myNumRefs
int | myNumPos

## Detailed Description

Store refID/position, but does not store values < 0.

Definition at line 24 of file PosList.h.

The documentation for this class was generated from the following files:

- bam/PosList.h
- bam/PosList.cpp